import { LoginForm, RegisterForm, CommunityForm, DeleteCommunityForm, RemoveCommunityForm, PostForm, DeletePostForm, RemovePostForm, LockPostForm, StickyPostForm, SavePostForm, CommentForm, DeleteCommentForm, RemoveCommentForm, MarkCommentAsReadForm, SaveCommentForm, CommentLikeForm, GetPostForm, GetPostsForm, CreatePostLikeForm, GetCommunityForm, FollowCommunityForm, GetFollowedCommunitiesForm, GetUserDetailsForm, ListCommunitiesForm, GetModlogForm, BanFromCommunityForm, AddModToCommunityForm, TransferCommunityForm, AddAdminForm, TransferSiteForm, BanUserForm, SiteForm, GetRepliesForm, GetUserMentionsForm, MarkUserMentionAsReadForm, SearchForm, UserSettingsForm, DeleteAccountForm, PasswordResetForm, PasswordChangeForm, PrivateMessageForm, EditPrivateMessageForm, DeletePrivateMessageForm, MarkPrivateMessageAsReadForm, GetPrivateMessagesForm, GetCommentsForm, UserJoinForm, GetSiteConfig, GetSiteForm, SiteConfigForm, MarkAllAsReadForm, GetSiteResponse, GetSiteConfigResponse, SiteResponse, LoginResponse, ListCategoriesResponse, GetModlogResponse, SearchResponse, PostResponse, CommentResponse, CommunityResponse, GetRepliesResponse, BanUserResponse, GetPostResponse, AddAdminResponse, GetPostsResponse, UserJoinResponse, GetCaptchaResponse, GetCommentsResponse, UserDetailsResponse, UserMentionResponse, GetUserMentionsResponse, GetCommunityResponse, PrivateMessageResponse, ListCommunitiesResponse, PrivateMessagesResponse, BanFromCommunityResponse, AddModToCommunityResponse, GetFollowedCommunitiesResponse, PasswordResetResponse, PostJoinForm, PostJoinResponse, CommunityJoinForm, CommunityJoinResponse } from './interfaces';
export declare class LemmyHttp {
    private baseUrl;
    private headers;
    constructor(baseUrl: string, headers?: {
        [key: string]: string;
    });
    getSite(form: GetSiteForm): Promise<GetSiteResponse>;
    createSite(form: SiteForm): Promise<SiteResponse>;
    editSite(form: SiteForm): Promise<SiteResponse>;
    transferSite(form: TransferSiteForm): Promise<GetSiteResponse>;
    getSiteConfig(form: GetSiteConfig): Promise<GetSiteConfigResponse>;
    saveSiteConfig(form: SiteConfigForm): Promise<GetSiteConfigResponse>;
    listCategories(): Promise<ListCategoriesResponse>;
    getModlog(form: GetModlogForm): Promise<GetModlogResponse>;
    search(form: SearchForm): Promise<SearchResponse>;
    createCommunity(form: CommunityForm): Promise<CommunityResponse>;
    getCommunity(form: GetCommunityForm): Promise<GetCommunityResponse>;
    editCommunity(form: CommunityForm): Promise<CommunityResponse>;
    listCommunities(form: ListCommunitiesForm): Promise<ListCommunitiesResponse>;
    followCommunity(form: FollowCommunityForm): Promise<CommunityResponse>;
    deleteCommunity(form: DeleteCommunityForm): Promise<CommunityResponse>;
    removeCommunity(form: RemoveCommunityForm): Promise<CommunityResponse>;
    transferCommunity(form: TransferCommunityForm): Promise<GetCommunityResponse>;
    banFromCommunity(form: BanFromCommunityForm): Promise<BanFromCommunityResponse>;
    addModToCommunity(form: AddModToCommunityForm): Promise<AddModToCommunityResponse>;
    createPost(form: PostForm): Promise<PostResponse>;
    getPost(form: GetPostForm): Promise<GetPostResponse>;
    editPost(form: PostForm): Promise<PostResponse>;
    deletePost(form: DeletePostForm): Promise<PostResponse>;
    removePost(form: RemovePostForm): Promise<PostResponse>;
    lockPost(form: LockPostForm): Promise<PostResponse>;
    stickyPost(form: StickyPostForm): Promise<PostResponse>;
    getPosts(form: GetPostsForm): Promise<GetPostsResponse>;
    likePost(form: CreatePostLikeForm): Promise<PostResponse>;
    savePost(form: SavePostForm): Promise<PostResponse>;
    createComment(form: CommentForm): Promise<CommentResponse>;
    editComment(form: CommentForm): Promise<CommentResponse>;
    deleteComment(form: DeleteCommentForm): Promise<CommentResponse>;
    removeComment(form: RemoveCommentForm): Promise<CommentResponse>;
    markCommentAsRead(form: MarkCommentAsReadForm): Promise<CommentResponse>;
    likeComment(form: CommentLikeForm): Promise<CommentResponse>;
    saveComment(form: SaveCommentForm): Promise<CommentResponse>;
    getComments(form: GetCommentsForm): Promise<GetCommentsResponse>;
    getPrivateMessages(form: GetPrivateMessagesForm): Promise<PrivateMessagesResponse>;
    createPrivateMessage(form: PrivateMessageForm): Promise<PrivateMessageResponse>;
    editPrivateMessage(form: EditPrivateMessageForm): Promise<PrivateMessageResponse>;
    deletePrivateMessage(form: DeletePrivateMessageForm): Promise<PrivateMessageResponse>;
    markPrivateMessageAsRead(form: MarkPrivateMessageAsReadForm): Promise<PrivateMessageResponse>;
    register(form: RegisterForm): Promise<LoginResponse>;
    login(form: LoginForm): Promise<LoginResponse>;
    getUserDetails(form: GetUserDetailsForm): Promise<UserDetailsResponse>;
    getUserMentions(form: GetUserMentionsForm): Promise<GetUserMentionsResponse>;
    markUserMentionAsRead(form: MarkUserMentionAsReadForm): Promise<UserMentionResponse>;
    getReplies(form: GetRepliesForm): Promise<GetRepliesResponse>;
    getFollowedCommunities(form: GetFollowedCommunitiesForm): Promise<GetFollowedCommunitiesResponse>;
    userJoin(form: UserJoinForm): Promise<UserJoinResponse>;
    postJoin(form: PostJoinForm): Promise<PostJoinResponse>;
    communityJoin(form: CommunityJoinForm): Promise<CommunityJoinResponse>;
    banUser(form: BanUserForm): Promise<BanUserResponse>;
    getCaptcha(): Promise<GetCaptchaResponse>;
    deleteAccount(form: DeleteAccountForm): Promise<LoginResponse>;
    passwordReset(form: PasswordResetForm): Promise<PasswordResetResponse>;
    passwordChange(form: PasswordChangeForm): Promise<LoginResponse>;
    markAllAsRead(form: MarkAllAsReadForm): Promise<LoginResponse>;
    saveUserSettings(form: UserSettingsForm): Promise<LoginResponse>;
    addAdmin(form: AddAdminForm): Promise<AddAdminResponse>;
    private buildFullUrl;
    private wrapper;
}
