import { LoginForm, RegisterForm, CommunityForm, DeleteCommunityForm, RemoveCommunityForm, PostForm, DeletePostForm, RemovePostForm, LockPostForm, StickyPostForm, SavePostForm, CommentForm, DeleteCommentForm, RemoveCommentForm, MarkCommentAsReadForm, SaveCommentForm, CommentLikeForm, GetPostForm, GetPostsForm, CreatePostLikeForm, GetCommunityForm, FollowCommunityForm, GetFollowedCommunitiesForm, GetUserDetailsForm, ListCommunitiesForm, GetModlogForm, BanFromCommunityForm, AddModToCommunityForm, TransferCommunityForm, AddAdminForm, TransferSiteForm, BanUserForm, SiteForm, GetRepliesForm, GetUserMentionsForm, MarkUserMentionAsReadForm, SearchForm, UserSettingsForm, DeleteAccountForm, PasswordResetForm, PasswordChangeForm, PrivateMessageForm, EditPrivateMessageForm, DeletePrivateMessageForm, MarkPrivateMessageAsReadForm, GetPrivateMessagesForm, GetCommentsForm, UserJoinForm, GetSiteConfig, GetSiteForm, SiteConfigForm, MarkAllAsReadForm, PostJoinForm, CommunityJoinForm } from './interfaces';
export declare class LemmyWebsocket {
    constructor();
    login(form: LoginForm): string;
    userJoin(form: UserJoinForm): string;
    postJoin(form: PostJoinForm): string;
    communityJoin(form: CommunityJoinForm): string;
    register(registerForm: RegisterForm): string;
    getCaptcha(): string;
    createCommunity(form: CommunityForm): string;
    editCommunity(form: CommunityForm): string;
    deleteCommunity(form: DeleteCommunityForm): string;
    removeCommunity(form: RemoveCommunityForm): string;
    followCommunity(form: FollowCommunityForm): string;
    listCommunities(form: ListCommunitiesForm): string;
    getFollowedCommunities(form: GetFollowedCommunitiesForm): string;
    listCategories(): string;
    createPost(form: PostForm): string;
    getPost(form: GetPostForm): string;
    getCommunity(form: GetCommunityForm): string;
    createComment(form: CommentForm): string;
    editComment(form: CommentForm): string;
    deleteComment(form: DeleteCommentForm): string;
    removeComment(form: RemoveCommentForm): string;
    markCommentAsRead(form: MarkCommentAsReadForm): string;
    likeComment(form: CommentLikeForm): string;
    saveComment(form: SaveCommentForm): string;
    getPosts(form: GetPostsForm): string;
    getComments(form: GetCommentsForm): string;
    likePost(form: CreatePostLikeForm): string;
    editPost(form: PostForm): string;
    deletePost(form: DeletePostForm): string;
    removePost(form: RemovePostForm): string;
    lockPost(form: LockPostForm): string;
    stickyPost(form: StickyPostForm): string;
    savePost(form: SavePostForm): string;
    banFromCommunity(form: BanFromCommunityForm): string;
    addModToCommunity(form: AddModToCommunityForm): string;
    transferCommunity(form: TransferCommunityForm): string;
    transferSite(form: TransferSiteForm): string;
    banUser(form: BanUserForm): string;
    addAdmin(form: AddAdminForm): string;
    getUserDetails(form: GetUserDetailsForm): string;
    getReplies(form: GetRepliesForm): string;
    getUserMentions(form: GetUserMentionsForm): string;
    markUserMentionAsRead(form: MarkUserMentionAsReadForm): string;
    getModlog(form: GetModlogForm): string;
    createSite(form: SiteForm): string;
    editSite(form: SiteForm): string;
    getSite(form?: GetSiteForm): string;
    getSiteConfig(form: GetSiteConfig): string;
    search(form: SearchForm): string;
    markAllAsRead(form: MarkAllAsReadForm): string;
    saveUserSettings(form: UserSettingsForm): string;
    deleteAccount(form: DeleteAccountForm): string;
    passwordReset(form: PasswordResetForm): string;
    passwordChange(form: PasswordChangeForm): string;
    createPrivateMessage(form: PrivateMessageForm): string;
    editPrivateMessage(form: EditPrivateMessageForm): string;
    deletePrivateMessage(form: DeletePrivateMessageForm): string;
    markPrivateMessageAsRead(form: MarkPrivateMessageAsReadForm): string;
    getPrivateMessages(form: GetPrivateMessagesForm): string;
    saveSiteConfig(form: SiteConfigForm): string;
}
